org.eclipse.microprofile.lra.tck.participant.api

## Class WrongHeaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - jakarta.ws.rs.WebApplicationException
        - - org.eclipse.microprofile.lra.tck.participant.api.WrongHeaderException

All Implemented Interfaces:
  Serializable

    public class WrongHeaderException
    extends jakarta.ws.rs.WebApplicationException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WrongHeaderException(String message)` Wrong header exception.

### Method Summary

### Methods inherited from class jakarta.ws.rs.WebApplicationException

`getResponse`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WrongHeaderException

    public WrongHeaderException(String message)

Wrong header exception.

Parameters:
  `message` - error message of this exception